from gpiozero import DigitalInputDevice
import time

# Hier wird der Eingangs-Pin deklariert, an dem der Sensor angeschlossen ist.
# Zusätzlich wird auch der PullUP Widerstand am Eingang aktiviert
sensor = DigitalInputDevice(24, pull_up=False)

print("Sensor-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Diese AusgabeFunktion wird bei Signaldetektion ausgeführt
def ausgabeFunktion():
    print("Signal erkannt")

# Beim Detektieren eines Signals (steigende Signalflanke) wird die Ausgabefunktion ausgelöst
sensor.when_activated = ausgabeFunktion

# Hauptprogrammschleife
try:
    while True:
        time.sleep(1)

# Aufraeumarbeiten, nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm wurde durch den Benutzer beendet")